<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:25 CEST 2019 -->
<title>FbTransaction (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="FbTransaction (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6,"i8":6,"i9":6,"i10":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/firebirdsql/gds/ng/FbStatement.html" title="interface in org.firebirdsql.gds.ng"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/firebirdsql/gds/ng/FbTransaction.html" target="_top">Frames</a></li>
<li><a href="FbTransaction.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.gds.ng</div>
<h2 title="Interface FbTransaction" class="title">Interface FbTransaction</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd><a href="../../../../org/firebirdsql/gds/ng/listeners/ExceptionListenable.html" title="interface in org.firebirdsql.gds.ng.listeners">ExceptionListenable</a></dd>
</dl>
<dl>
<dt>All Known Subinterfaces:</dt>
<dd><a href="../../../../org/firebirdsql/gds/ng/wire/FbWireTransaction.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireTransaction</a></dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../org/firebirdsql/gds/ng/AbstractFbTransaction.html" title="class in org.firebirdsql.gds.ng">AbstractFbTransaction</a>, <a href="../../../../org/firebirdsql/gds/ng/jna/JnaTransaction.html" title="class in org.firebirdsql.gds.ng.jna">JnaTransaction</a>, <a href="../../../../org/firebirdsql/gds/ng/wire/version10/V10Transaction.html" title="class in org.firebirdsql.gds.ng.wire.version10">V10Transaction</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">FbTransaction</span>
extends <a href="../../../../org/firebirdsql/gds/ng/listeners/ExceptionListenable.html" title="interface in org.firebirdsql.gds.ng.listeners">ExceptionListenable</a></pre>
<div class="block">Handle for a transaction.
 <p>
 All methods defined in this interface are required to notify all <code>SQLException</code> thrown from the methods
 defined in this interface.
 </p></div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>3.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd><a href="mailto:mrotteveel@users.sourceforge.net">Mark Rotteveel</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/FbTransaction.html#addTransactionListener-org.firebirdsql.gds.ng.listeners.TransactionListener-">addTransactionListener</a></span>(<a href="../../../../org/firebirdsql/gds/ng/listeners/TransactionListener.html" title="interface in org.firebirdsql.gds.ng.listeners">TransactionListener</a>&nbsp;listener)</code>
<div class="block">Adds a <a href="../../../../org/firebirdsql/gds/ng/listeners/TransactionListener.html" title="interface in org.firebirdsql.gds.ng.listeners"><code>TransactionListener</code></a> to the list of strongly referenced listeners.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/FbTransaction.html#addWeakTransactionListener-org.firebirdsql.gds.ng.listeners.TransactionListener-">addWeakTransactionListener</a></span>(<a href="../../../../org/firebirdsql/gds/ng/listeners/TransactionListener.html" title="interface in org.firebirdsql.gds.ng.listeners">TransactionListener</a>&nbsp;listener)</code>
<div class="block">Adds a <a href="../../../../org/firebirdsql/gds/ng/listeners/TransactionListener.html" title="interface in org.firebirdsql.gds.ng.listeners"><code>TransactionListener</code></a> to the list of weakly referenced listeners.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/FbTransaction.html#commit--">commit</a></span>()</code>
<div class="block">Commit the transaction</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/FbTransaction.html#getHandle--">getHandle</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../org/firebirdsql/gds/ng/TransactionState.html" title="enum in org.firebirdsql.gds.ng">TransactionState</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/FbTransaction.html#getState--">getState</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>long</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/FbTransaction.html#getTransactionId--">getTransactionId</a></span>()</code>
<div class="block">Retrieves the transaction id.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>byte[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/FbTransaction.html#getTransactionInfo-byte:A-int-">getTransactionInfo</a></span>(byte[]&nbsp;requestItems,
                  int&nbsp;maxBufferLength)</code>
<div class="block">Performs a transaction info request.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>&lt;T&gt;&nbsp;T</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/FbTransaction.html#getTransactionInfo-byte:A-int-org.firebirdsql.gds.ng.InfoProcessor-">getTransactionInfo</a></span>(byte[]&nbsp;requestItems,
                  int&nbsp;bufferLength,
                  <a href="../../../../org/firebirdsql/gds/ng/InfoProcessor.html" title="interface in org.firebirdsql.gds.ng">InfoProcessor</a>&lt;T&gt;&nbsp;infoProcessor)</code>
<div class="block">Request transaction info.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/FbTransaction.html#prepare-byte:A-">prepare</a></span>(byte[]&nbsp;recoveryInformation)</code>
<div class="block">Prepare the transaction for two-phase commit/rollback.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/FbTransaction.html#removeTransactionListener-org.firebirdsql.gds.ng.listeners.TransactionListener-">removeTransactionListener</a></span>(<a href="../../../../org/firebirdsql/gds/ng/listeners/TransactionListener.html" title="interface in org.firebirdsql.gds.ng.listeners">TransactionListener</a>&nbsp;listener)</code>
<div class="block">Removes the <a href="../../../../org/firebirdsql/gds/ng/listeners/TransactionListener.html" title="interface in org.firebirdsql.gds.ng.listeners"><code>TransactionListener</code></a> from the list of listeners.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/FbTransaction.html#rollback--">rollback</a></span>()</code>
<div class="block">Roll back the transaction</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.gds.ng.listeners.ExceptionListenable">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.firebirdsql.gds.ng.listeners.<a href="../../../../org/firebirdsql/gds/ng/listeners/ExceptionListenable.html" title="interface in org.firebirdsql.gds.ng.listeners">ExceptionListenable</a></h3>
<code><a href="../../../../org/firebirdsql/gds/ng/listeners/ExceptionListenable.html#addExceptionListener-org.firebirdsql.gds.ng.listeners.ExceptionListener-">addExceptionListener</a>, <a href="../../../../org/firebirdsql/gds/ng/listeners/ExceptionListenable.html#removeExceptionListener-org.firebirdsql.gds.ng.listeners.ExceptionListener-">removeExceptionListener</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getState--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getState</h4>
<pre><a href="../../../../org/firebirdsql/gds/ng/TransactionState.html" title="enum in org.firebirdsql.gds.ng">TransactionState</a>&nbsp;getState()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Current transaction state</dd>
</dl>
</li>
</ul>
<a name="getHandle--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getHandle</h4>
<pre>int&nbsp;getHandle()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The Firebird transaction handle identifier</dd>
</dl>
</li>
</ul>
<a name="addTransactionListener-org.firebirdsql.gds.ng.listeners.TransactionListener-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addTransactionListener</h4>
<pre>void&nbsp;addTransactionListener(<a href="../../../../org/firebirdsql/gds/ng/listeners/TransactionListener.html" title="interface in org.firebirdsql.gds.ng.listeners">TransactionListener</a>&nbsp;listener)</pre>
<div class="block">Adds a <a href="../../../../org/firebirdsql/gds/ng/listeners/TransactionListener.html" title="interface in org.firebirdsql.gds.ng.listeners"><code>TransactionListener</code></a> to the list of strongly referenced listeners.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>listener</code> - TransactionListener to register</dd>
</dl>
</li>
</ul>
<a name="addWeakTransactionListener-org.firebirdsql.gds.ng.listeners.TransactionListener-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addWeakTransactionListener</h4>
<pre>void&nbsp;addWeakTransactionListener(<a href="../../../../org/firebirdsql/gds/ng/listeners/TransactionListener.html" title="interface in org.firebirdsql.gds.ng.listeners">TransactionListener</a>&nbsp;listener)</pre>
<div class="block">Adds a <a href="../../../../org/firebirdsql/gds/ng/listeners/TransactionListener.html" title="interface in org.firebirdsql.gds.ng.listeners"><code>TransactionListener</code></a> to the list of weakly referenced listeners.
 <p>
 If the listener is already strongly referenced, this call will be ignored
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>listener</code> - TransactionListener to register</dd>
</dl>
</li>
</ul>
<a name="removeTransactionListener-org.firebirdsql.gds.ng.listeners.TransactionListener-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>removeTransactionListener</h4>
<pre>void&nbsp;removeTransactionListener(<a href="../../../../org/firebirdsql/gds/ng/listeners/TransactionListener.html" title="interface in org.firebirdsql.gds.ng.listeners">TransactionListener</a>&nbsp;listener)</pre>
<div class="block">Removes the <a href="../../../../org/firebirdsql/gds/ng/listeners/TransactionListener.html" title="interface in org.firebirdsql.gds.ng.listeners"><code>TransactionListener</code></a> from the list of listeners.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>listener</code> - TransactionListener to remove</dd>
</dl>
</li>
</ul>
<a name="commit--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>commit</h4>
<pre>void&nbsp;commit()
     throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Commit the transaction</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="rollback--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>rollback</h4>
<pre>void&nbsp;rollback()
       throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Roll back the transaction</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="prepare-byte:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>prepare</h4>
<pre>void&nbsp;prepare(byte[]&nbsp;recoveryInformation)
      throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Prepare the transaction for two-phase commit/rollback.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>recoveryInformation</code> - Transaction recovery information (stored in RDB$TRANSACTION_DESCRIPTION of RDB$TRANSACTIONS),
         or <code>null</code> to prepare without recovery information.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="getTransactionInfo-byte:A-int-org.firebirdsql.gds.ng.InfoProcessor-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTransactionInfo</h4>
<pre>&lt;T&gt;&nbsp;T&nbsp;getTransactionInfo(byte[]&nbsp;requestItems,
                         int&nbsp;bufferLength,
                         <a href="../../../../org/firebirdsql/gds/ng/InfoProcessor.html" title="interface in org.firebirdsql.gds.ng">InfoProcessor</a>&lt;T&gt;&nbsp;infoProcessor)
                  throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Request transaction info.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>requestItems</code> - Array of info items to request</dd>
<dd><code>bufferLength</code> - Response buffer length to use</dd>
<dd><code>infoProcessor</code> - Implementation of <a href="../../../../org/firebirdsql/gds/ng/InfoProcessor.html" title="interface in org.firebirdsql.gds.ng"><code>InfoProcessor</code></a> to transform
         the info response</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Transformed info response of type T</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - For errors retrieving or transforming the response.</dd>
</dl>
</li>
</ul>
<a name="getTransactionInfo-byte:A-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTransactionInfo</h4>
<pre>byte[]&nbsp;getTransactionInfo(byte[]&nbsp;requestItems,
                          int&nbsp;maxBufferLength)
                   throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Performs a transaction info request.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>requestItems</code> - Information items to request</dd>
<dd><code>maxBufferLength</code> - Maximum response buffer length to use</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The response buffer (note: length is the actual length of the
 response, not <code>maxBufferLength</code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - For errors retrieving the information.</dd>
</dl>
</li>
</ul>
<a name="getTransactionId--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getTransactionId</h4>
<pre>long&nbsp;getTransactionId()
               throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Retrieves the transaction id.
 <p>
 The transaction id is the database transaction id, not to be confused with the attachment level transaction
 handle provided by <a href="../../../../org/firebirdsql/gds/ng/FbTransaction.html#getHandle--"><code>getHandle()</code></a>.
 </p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Database transaction id.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/firebirdsql/gds/ng/FbStatement.html" title="interface in org.firebirdsql.gds.ng"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/firebirdsql/gds/ng/FbTransaction.html" target="_top">Frames</a></li>
<li><a href="FbTransaction.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
